cif-grep(1)

NAME
cif-grep - A tool like grep to print fields in mmCIF files that match patterns

SYNOPSIS
cif-grep [OPTION] pattern file1 [file2..]

DESCRIPTION
This tool tries to work in a similar way as grep by searching mmCIF files comparing the content of fields to patterns.

OPTIONS
Multiple files can be specified to search. If a directory name if specified, all files in that directory will be searched. Use the --recursive flag to do a recursive search.

--item=<item>, -i <item>
    Limit the search to only the item specified in <item>. Default is to search all items. Item should be of the form '_category.item' with the leading underscore.

--quiet, -q
    Print only the file names that match the pattern.

--count, -c
    Only show the number of hits.

--invert-match, -v
    Only select the fields that do not match the pattern.

--line-number, -n
    Print the line numbers.

--no-filename, -h
    Do not print the filename.

--with-filename, -H
    Do print the filename.

--files-with-matches, -l
    Print only the names of the files containing matches.

--recursive, -r
    Search recursively.

--verbose,-V
    Be more verbose, useful to diagnose validation errors.

AUTHOR
Written by Maarten L. Hekkelman <maarten@hekkelman.com>

REPORTING BUGS
Report bugs at https://github.com/PDB-REDO/cif-tools/issues

SEE ALSO
cif-diff, cif-merge, cif-validate, cif2pdb, mmCQL, pdb2cif.